// 本文件由FirstUI授权予长沙壹润信息科技发展有限公司（手机号：   156  16 26   019 5，身份证尾号：503    75T）专用，请尊重知识产权，勿私下传播，违者追究法律责任。
const fui = {
    toast: function (text: string) {
        text &&
            uni.showToast({
                title: text,
                icon: 'none',
                duration: 2000,
            })
    },
    modal: function (
        title: string,
        content: string,
        callback: Function,
        showCancel: boolean,
        confirmColor: string,
        confirmText: string,
    ) {
        uni.showModal({
            title: title,
            content: content,
            showCancel: showCancel || false,
            // #ifndef MP-TOUTIAO
            cancelColor: '#7F7F7F',
            confirmColor: confirmColor || '#465CFF',
            // #endif
            confirmText: confirmText || '确定',
            success(res) {
                if (res.confirm) {
                    callback && callback(true)
                } else {
                    callback && callback(false)
                }
            },
            fail(err) {
                console.log(err)
            },
        })
    },
    href(url: string, isMain: boolean) {
        if (isMain) {
            uni.switchTab({
                url: url,
            })
        } else {
            uni.navigateTo({
                url: url,
            })
        }
    },
    jsonp: function (url: string, callback: Function, callbackname: string) {
        // #ifdef H5
        window[callbackname] = callback
        const script = document.createElement('script')
        script.src = url
        script.type = 'text/javascript'
        document.head.appendChild(script)
        document.head.removeChild(script)
        // #endif
    },
    resUrl: function () {
        return 'https://res.firstui.cn/static/images'
    },
}
export default fui
